Legacy (v0)
Update company media
Update an existing media item. The attached_shareables_attributes field creates or modifies video-shopping overlays and returns 422 for substantive entries on non-video media. Destroy-only entries can remove legacy overlays from non-video media.
PUT
/
api
/
company
/
media
/
{id}
Update company media
curl --request PUT \
--url https://api.fluid.app/api/company/media/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"medium": {
"title": "Why Dunder Mifflin Paper? (2026 cut)",
"cta_button_text": "Order a case"
}
}
'import requests
url = "https://api.fluid.app/api/company/media/{id}"
payload = { "medium": {
"title": "Why Dunder Mifflin Paper? (2026 cut)",
"cta_button_text": "Order a case"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
medium: {title: 'Why Dunder Mifflin Paper? (2026 cut)', cta_button_text: 'Order a case'}
})
};
fetch('https://api.fluid.app/api/company/media/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/media/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'medium' => [
'title' => 'Why Dunder Mifflin Paper? (2026 cut)',
'cta_button_text' => 'Order a case'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/media/{id}"
payload := strings.NewReader("{\n \"medium\": {\n \"title\": \"Why Dunder Mifflin Paper? (2026 cut)\",\n \"cta_button_text\": \"Order a case\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.fluid.app/api/company/media/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"medium\": {\n \"title\": \"Why Dunder Mifflin Paper? (2026 cut)\",\n \"cta_button_text\": \"Order a case\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/media/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"medium\": {\n \"title\": \"Why Dunder Mifflin Paper? (2026 cut)\",\n \"cta_button_text\": \"Order a case\"\n }\n}"
response = http.request(request)
puts response.read_body{
"medium": {
"id": 48213,
"label": null,
"display_tag": null,
"user_id": null,
"media_type": "share",
"media_format": "mp4",
"pdf_url": null,
"kind": "video",
"visibility": "open",
"duration": 94,
"cta_url": "https://shop.dundermifflin.com/products/20lb-copy-paper",
"cta_button_text": "Order a case",
"cta_enabled": true,
"cta_action_type": "visit_on_click",
"video_shopping_enabled": false,
"prompts_enabled": true,
"settings": null,
"application_theme_template_id": null,
"created_at": "2026-09-14T15:32:08Z",
"slug": "why-dunder-mifflin-paper",
"custom_slug": false,
"publish_at": null,
"video_url": "https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.mp4",
"title": "Why Dunder Mifflin Paper? (2026 cut)",
"description": {
"id": 77120,
"name": "description",
"body": "<div>Michael Scott explains why Scranton trusts Dunder Mifflin 20lb Copy Paper.</div>",
"record_type": "Medium",
"record_id": 48213,
"locale": "en",
"created_at": "2026-09-14T15:32:08Z",
"updated_at": "2026-09-14T15:32:08Z"
},
"stripped": "Michael Scott explains why Scranton trusts Dunder Mifflin 20lb Copy Paper.",
"active": true,
"image_url": "https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.jpg",
"share_link": null,
"views": 0,
"leads": 0,
"watch": null,
"video_status": null,
"preview_link": "https://shop.dundermifflin.com/home/media/why-dunder-mifflin-paper?preview=true",
"ranks": [],
"countries": [
{
"id": 233,
"iso": "US",
"name": "United States"
}
],
"tags": [
{
"id": 3120,
"name": "Paper"
}
],
"subtitles": {},
"prompts": [],
"attached_shareables": []
},
"meta": {
"request_id": "5f0c2a7e-9b1d-4c83-a6e2-3d7f4b8e1c90",
"timestamp": "2026-09-22T14:05:31Z"
}
}{
"message": "<string>"
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}Body
application/json
Media attributes. Video-shopping overlay writes use attached_shareables_attributes and require video media. Null, empty, and destroy-only values are accepted for non-video media.
⌘I
Update company media
curl --request PUT \
--url https://api.fluid.app/api/company/media/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"medium": {
"title": "Why Dunder Mifflin Paper? (2026 cut)",
"cta_button_text": "Order a case"
}
}
'import requests
url = "https://api.fluid.app/api/company/media/{id}"
payload = { "medium": {
"title": "Why Dunder Mifflin Paper? (2026 cut)",
"cta_button_text": "Order a case"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
medium: {title: 'Why Dunder Mifflin Paper? (2026 cut)', cta_button_text: 'Order a case'}
})
};
fetch('https://api.fluid.app/api/company/media/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/media/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'medium' => [
'title' => 'Why Dunder Mifflin Paper? (2026 cut)',
'cta_button_text' => 'Order a case'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/media/{id}"
payload := strings.NewReader("{\n \"medium\": {\n \"title\": \"Why Dunder Mifflin Paper? (2026 cut)\",\n \"cta_button_text\": \"Order a case\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.fluid.app/api/company/media/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"medium\": {\n \"title\": \"Why Dunder Mifflin Paper? (2026 cut)\",\n \"cta_button_text\": \"Order a case\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/media/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"medium\": {\n \"title\": \"Why Dunder Mifflin Paper? (2026 cut)\",\n \"cta_button_text\": \"Order a case\"\n }\n}"
response = http.request(request)
puts response.read_body{
"medium": {
"id": 48213,
"label": null,
"display_tag": null,
"user_id": null,
"media_type": "share",
"media_format": "mp4",
"pdf_url": null,
"kind": "video",
"visibility": "open",
"duration": 94,
"cta_url": "https://shop.dundermifflin.com/products/20lb-copy-paper",
"cta_button_text": "Order a case",
"cta_enabled": true,
"cta_action_type": "visit_on_click",
"video_shopping_enabled": false,
"prompts_enabled": true,
"settings": null,
"application_theme_template_id": null,
"created_at": "2026-09-14T15:32:08Z",
"slug": "why-dunder-mifflin-paper",
"custom_slug": false,
"publish_at": null,
"video_url": "https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.mp4",
"title": "Why Dunder Mifflin Paper? (2026 cut)",
"description": {
"id": 77120,
"name": "description",
"body": "<div>Michael Scott explains why Scranton trusts Dunder Mifflin 20lb Copy Paper.</div>",
"record_type": "Medium",
"record_id": 48213,
"locale": "en",
"created_at": "2026-09-14T15:32:08Z",
"updated_at": "2026-09-14T15:32:08Z"
},
"stripped": "Michael Scott explains why Scranton trusts Dunder Mifflin 20lb Copy Paper.",
"active": true,
"image_url": "https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.jpg",
"share_link": null,
"views": 0,
"leads": 0,
"watch": null,
"video_status": null,
"preview_link": "https://shop.dundermifflin.com/home/media/why-dunder-mifflin-paper?preview=true",
"ranks": [],
"countries": [
{
"id": 233,
"iso": "US",
"name": "United States"
}
],
"tags": [
{
"id": 3120,
"name": "Paper"
}
],
"subtitles": {},
"prompts": [],
"attached_shareables": []
},
"meta": {
"request_id": "5f0c2a7e-9b1d-4c83-a6e2-3d7f4b8e1c90",
"timestamp": "2026-09-22T14:05:31Z"
}
}{
"message": "<string>"
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}